Submit an authenticated support ticket.
POST
/v1/support
const url = 'https://api.share2.us/v1/support';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"subject":"example","message":"example","activity":[{"event_type":"example","occurred_at":"2026-04-15T12:00:00Z","share_public_id":"example","description":"example"}]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.share2.us/v1/support \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "subject": "example", "message": "example", "activity": [ { "event_type": "example", "occurred_at": "2026-04-15T12:00:00Z", "share_public_id": "example", "description": "example" } ] }'Authenticated portal endpoint for account-bound support tickets. The account id and email are derived from the bearer token server-side.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
subject
required
string
message
required
string
activity
Array<object>
object
event_type
required
string
occurred_at
required
string format: date-time
share_public_id
string
description
string
Examplegenerated
{ "subject": "example", "message": "example", "activity": [ { "event_type": "example", "occurred_at": "2026-04-15T12:00:00Z", "share_public_id": "example", "description": "example" } ]}Responses
Section titled “Responses”Support ticket accepted.
default
Section titled “default”Standard error envelope.
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
request_id
required
string
Example
{ "error": { "code": "quota_exceeded" }}